# GstAnalyticsClsMtd

This type of metadata holds classification, it is generally used in relationship with another metadata type to enhance its content. For example, it can enhance the classifcation of an object detection held by the GstAnalyticsODMtd metadata type.

## GstAnalyticsClsMtd

Handle containing data required to use gst_analytics_cls_mtd APIs. This type is generally expected to be allocated on the stack.

### Members

`id` (guint) –

Instance identifier.

`meta` (GstAnalyticsRelationMeta *) –

Instance of GstAnalyticsRelationMeta where the analysis-metadata identified by id is stored.

Since : 1.24

## GstAnalytics.ClsMtd

Handle containing data required to use gst_analytics_cls_mtd APIs. This type is generally expected to be allocated on the stack.

### Members

`id` (Number) –

Instance identifier.

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta where the analysis-metadata identified by id is stored.

Since : 1.24

## GstAnalytics.ClsMtd

Handle containing data required to use gst_analytics_cls_mtd APIs. This type is generally expected to be allocated on the stack.

### Members

`id` (int) –

Instance identifier.

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta where the analysis-metadata identified by id is stored.

Since : 1.24

### Methods

#### gst_analytics_cls_mtd_get_index_by_quark

    gint
    gst_analytics_cls_mtd_get_index_by_quark (GstAnalyticsClsMtd * handle,
                                              GQuark quark)

Parameters:

`handle` –

Instance handle

`quark` –

Quark of the class Get index of class represented by quark Returns: index of the class associated with quarks ( and label) or a negative value on failure.

Returns –
No description available

Since : 1.24

#### GstAnalytics.ClsMtd.prototype.get_index_by_quark

    function GstAnalytics.ClsMtd.prototype.get_index_by_quark(quark: GLib.Quark): {
        // javascript wrapper for 'gst_analytics_cls_mtd_get_index_by_quark'
    }

Parameters:

`handle` (GstAnalytics.ClsMtd) –

Instance handle

`quark` (GLib.Quark) –

Quark of the class Get index of class represented by quark Returns: index of the class associated with quarks ( and label) or a negative value on failure.

Returns (Number) –
No description available

Since : 1.24

#### GstAnalytics.ClsMtd.get_index_by_quark

    def GstAnalytics.ClsMtd.get_index_by_quark (self, quark):
        #python wrapper for 'gst_analytics_cls_mtd_get_index_by_quark'

Parameters:

`handle` (GstAnalytics.ClsMtd) –

Instance handle

`quark` (GLib.Quark) –

Quark of the class Get index of class represented by quark Returns: index of the class associated with quarks ( and label) or a negative value on failure.

Returns (int) –
No description available

Since : 1.24

#### gst_analytics_cls_mtd_get_length

    gsize
    gst_analytics_cls_mtd_get_length (GstAnalyticsClsMtd * handle)

Parameters:

`handle` –

Instance handle Get number of classes Returns: Number of classes in this classification instance

Returns –
No description available

Since : 1.24

#### GstAnalytics.ClsMtd.prototype.get_length

    function GstAnalytics.ClsMtd.prototype.get_length(): {
        // javascript wrapper for 'gst_analytics_cls_mtd_get_length'
    }

Parameters:

`handle` (GstAnalytics.ClsMtd) –

Instance handle Get number of classes Returns: Number of classes in this classification instance

Returns (Number) –
No description available

Since : 1.24

#### GstAnalytics.ClsMtd.get_length

    def GstAnalytics.ClsMtd.get_length (self):
        #python wrapper for 'gst_analytics_cls_mtd_get_length'

Parameters:

`handle` (GstAnalytics.ClsMtd) –

Instance handle Get number of classes Returns: Number of classes in this classification instance

Returns (int) –
No description available

Since : 1.24

#### gst_analytics_cls_mtd_get_level

    gfloat
    gst_analytics_cls_mtd_get_level (GstAnalyticsClsMtd * handle,
                                     gsize index)

Get confidence level for class at index

Parameters:

`handle` –

instance handle

`index` –

Object class index

Returns –

confidence level for index, <0.0 if the call failed.

Since : 1.24

#### GstAnalytics.ClsMtd.prototype.get_level

    function GstAnalytics.ClsMtd.prototype.get_level(index: Number): {
        // javascript wrapper for 'gst_analytics_cls_mtd_get_level'
    }

Get confidence level for class at index

Parameters:

`handle` (GstAnalytics.ClsMtd) –

instance handle

`index` (Number) –

Object class index

Returns (Number) –

confidence level for index, <0.0 if the call failed.

Since : 1.24

#### GstAnalytics.ClsMtd.get_level

    def GstAnalytics.ClsMtd.get_level (self, index):
        #python wrapper for 'gst_analytics_cls_mtd_get_level'

Get confidence level for class at index

Parameters:

`handle` (GstAnalytics.ClsMtd) –

instance handle

`index` (int) –

Object class index

Returns (float) –

confidence level for index, <0.0 if the call failed.

Since : 1.24

#### gst_analytics_cls_mtd_get_quark

    GQuark
    gst_analytics_cls_mtd_get_quark (GstAnalyticsClsMtd * handle,
                                     gsize index)

Parameters:

`handle` –

Instance handle

`index` –

index of the class Get quark of the class at index Returns: Quark of this class (label) associated with index

Returns –
No description available

Since : 1.24

#### GstAnalytics.ClsMtd.prototype.get_quark

    function GstAnalytics.ClsMtd.prototype.get_quark(index: Number): {
        // javascript wrapper for 'gst_analytics_cls_mtd_get_quark'
    }

Parameters:

`handle` (GstAnalytics.ClsMtd) –

Instance handle

`index` (Number) –

index of the class Get quark of the class at index Returns: Quark of this class (label) associated with index

Returns (GLib.Quark) –
No description available

Since : 1.24

#### GstAnalytics.ClsMtd.get_quark

    def GstAnalytics.ClsMtd.get_quark (self, index):
        #python wrapper for 'gst_analytics_cls_mtd_get_quark'

Parameters:

`handle` (GstAnalytics.ClsMtd) –

Instance handle

`index` (int) –

index of the class Get quark of the class at index Returns: Quark of this class (label) associated with index

Returns (GLib.Quark) –
No description available

Since : 1.24

### Functions

#### gst_analytics_cls_mtd_get_mtd_type

    GstAnalyticsMtdType
    gst_analytics_cls_mtd_get_mtd_type ()

Get an id identifying GstAnalyticsMtd type.

Returns –

opaque id of GstAnalyticsMtd type

Since : 1.24

#### GstAnalytics.ClsMtd.prototype.get_mtd_type

    function GstAnalytics.ClsMtd.prototype.get_mtd_type(): {
        // javascript wrapper for 'gst_analytics_cls_mtd_get_mtd_type'
    }

Get an id identifying GstAnalytics.Mtd type.

Returns (Number) –

opaque id of GstAnalytics.Mtd type

Since : 1.24

#### GstAnalytics.ClsMtd.get_mtd_type

    def GstAnalytics.ClsMtd.get_mtd_type ():
        #python wrapper for 'gst_analytics_cls_mtd_get_mtd_type'

Get an id identifying GstAnalytics.Mtd type.

Returns (int) –

opaque id of GstAnalytics.Mtd type

Since : 1.24

The results of the search are